# BigCatAllOf

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Kind** | Pointer to **string** |  | [optional] 

## Methods

### NewBigCatAllOf

`func NewBigCatAllOf() *BigCatAllOf`

NewBigCatAllOf instantiates a new BigCatAllOf object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewBigCatAllOfWithDefaults

`func NewBigCatAllOfWithDefaults() *BigCatAllOf`

NewBigCatAllOfWithDefaults instantiates a new BigCatAllOf object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetKind

`func (o *BigCatAllOf) GetKind() string`

GetKind returns the Kind field if non-nil, zero value otherwise.

### GetKindOk

`func (o *BigCatAllOf) GetKindOk() (*string, bool)`

GetKindOk returns a tuple with the Kind field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetKind

`func (o *BigCatAllOf) SetKind(v string)`

SetKind sets Kind field to given value.

### HasKind

`func (o *BigCatAllOf) HasKind() bool`

HasKind returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


